#ifndef __GRACER_PLANE_H__
#define __GRACER_PLANE_H__

#include "gr_matrix.h"

typedef struct {
  GrMatrix m;
  GrMatrix im;

  float s_n;
  GrVertex n;
  GrVertex s;
  GrVertex orig;	/* where world origin is placed in local coordinate */
} GrPlane;

#ifdef __cplusplus
extern "C" {
#endif
#if 0
}
#endif

void	gr_plane_init			(GrPlane *plane,
					 GrVertex *v1,
					 GrVertex *v2,
					 GrVertex *v3);

int	gr_plane_get_crossing		(GrPlane *plane,
					 GrVertex *c,
					 GrVertex *p,
					 GrVertex *v);

#ifdef __cplusplus
}
#endif

#endif /* __GRACER_PLANE_H__ */
